'use strict';

exports.up = knex => knex.raw(`
  ALTER TABLE branches ADD COLUMN "host" TEXT NOT NULL DEFAULT gen_random_uuid();
  CREATE UNIQUE INDEX branches_host_uindex
  ON branches (host);
`);

exports.down = knex => knex.raw(`
  ALTER TABLE branches DROP COLUMN host;
  DROP INDEX branches_host_uindex;
`);
