import {
    Model,
    knexSnakeCaseMappers,
} from 'objection';

import initKnex = require('knex');

const knexConfig = require('../../knexfile');

const knex = initKnex({...knexConfig, ...knexSnakeCaseMappers()});
export const db = knex;
Model.knex(knex);

export {Model, raw, ValidationError} from 'objection';

export {default as WikidotUser} from './wikidot-user';
export {default as WikidotPage} from './wikidot-page';
export {default as Branch} from './branch';
export {default as Draft} from './draft';
export {default as User} from './user';
