"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
exports.default = async (req, res) => {
    const pages = await models_1.Draft
        .query()
        .select('drafts.id', 'drafts.title', 'drafts.createdAt', 'drafts.updatedAt', 'users.username as author')
        .innerJoin('users', 'drafts.userId', 'users.id')
        .where({ userId: req.userInfo.id })
        .orderBy('drafts.updatedAt', 'desc');
    res.send(pages);
};
//# sourceMappingURL=list.js.map