'use strict';

exports.up = knex => knex.raw(`
  ALTER TABLE users ADD COLUMN "username" TEXT NOT NULL DEFAULT CONCAT('user', SUBSTRING(get_id()::text, 7, 10));

  CREATE UNIQUE INDEX users_username_uindex
  ON users (username);
`);

exports.down = knex => knex.raw(`
  ALTER TABLE users DROP COLUMN "username";
`);
